Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask.tasks
Class NearRealtimeReaderTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.NearRealtimeReaderTask

All Implemented Interfaces:
  Cloneable

    public class NearRealtimeReaderTask

extends PerfTask

Spawns a BG thread that periodically (defaults to 3.0 seconds, but accepts param in seconds) wakes up and asks IndexWriter for a near real-time reader. Then runs a single query (body: 1) sorted by docdate, and prints time to reopen and time to run the search.

WARNING: This API is experimental and might change in incompatible ways in the next release.
  It's also not generally usable, eg you cannot change which query is executed.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`NearRealtimeReaderTask(PerfRunData runData)`

Method Summary
`void` | `close()`
`int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`void` | `setParams(String params)` Set the params of this task.
`boolean` | `supportsParams()` Sub classes that support parameters must override this method to return true.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NearRealtimeReaderTask

    public NearRealtimeReaderTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`

### setParams

    public void setParams(String params)

  Description copied from class: `PerfTask`
  Set the params of this task.

  Overrides:
    `setParams` in class `PerfTask`

### close

    public void close()

  Overrides:
    `close` in class `PerfTask`

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that support parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.